Index: /trunk/LMDZ.GENERIC/libf/phystd/physdem1.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/physdem1.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/phystd/physdem1.F	(revision 253)
@@ -2,20 +2,31 @@
      .                   phystep,day_ini,
      .                   time,tsurf,tsoil,emis,q2,qsurf,
-     .                   airefi,alb,ith,pzmea,pzstd,pzsig,pzgam,pzthe)
-
-
+     .                   airefi,alb,ith,pzmea,pzstd,pzsig,pzgam,pzthe,
+     .                   cloudfrac,totcloudfrac,hice)
 
       use radcommon_h, only: tauvis
-
+ 
       implicit none
-c-------------------------------------------------------------
-c
-c create physics (re-)start data file "restartfi.nc"
-c
-c
-c
+
+!==================================================================
+!     
+!     Purpose
+!     -------
+!     Create physics (re-)start data file "restartfi.nc"
+!     
+!     Called by
+!     ---------
+!     rcm1d.F90
+!     physiq.F90
+!     newstart.F
+!     
+!     Calls
+!     -----
+!     none
+!
+!==================================================================
+
 #include "dimensions.h"
 #include "paramet.h"
-c-----------------------------------------------------------------------
 #include "comvert.h"
 #include "comgeom2.h"
@@ -39,5 +50,4 @@
       integer ierr,idim1,idim2,idim3,idim4,idim5,nvarid
 
-c
       REAL phystep,time
       REAL latfi(ngridmx), lonfi(ngridmx)
@@ -48,9 +58,12 @@
       REAL tab_cntrl(length)
 
-c
+!     added by BC
+      REAL hice(ngridmx),cloudfrac(ngridmx,nlayermx)
+      REAL totcloudfrac(ngridmx)
+
 
 !      EXTERNAL defrun_new,iniconst,geopot,inigeom,massdair,pression
 !      EXTERNAL exner_hyb , SSUM
-c
+
 #include "serre.h"
 #include "clesph0.h"
@@ -178,7 +191,7 @@
 c Informations about Mars, only for physics
       tab_cntrl(14) = year_day  ! length of year (sols) ~668.6
-      tab_cntrl(15) = periheli  ! min. Sun-Mars distance (Mkm) ~206.66
-      tab_cntrl(16) = aphelie   ! max. SUn-Mars distance (Mkm) ~249.22
-      tab_cntrl(17) = peri_day  ! date of perihelion (sols since N. spring)
+      tab_cntrl(15) = periastr  ! min. star-planet distance (Mkm) ~206.66
+      tab_cntrl(16) = apoastr   ! max. star-planet distance (Mkm) ~249.22
+      tab_cntrl(17) = peri_day  ! date of periastron (sols since N. spring)
       tab_cntrl(18) = obliquit  ! Obliquity of the planet (deg) ~23.98
 
@@ -452,4 +465,8 @@
 !#endif
 
+
+
+
+
 ! Soil Thermal inertia
 
@@ -471,4 +488,7 @@
 #endif
 
+
+
+
 !  Surface temperature
 
@@ -527,5 +547,5 @@
       ierr = NF_REDEF (nid)
 #ifdef NC_DOUBLE
-      ierr = NF_DEF_VAR (nid, "q2", NF_DOUBLE, 2, (/idim2,idim4/),nvarid)
+      ierr = NF_DEF_VAR (nid,"q2", NF_DOUBLE, 2, (/idim2,idim4/),nvarid)
 #else
       ierr = NF_DEF_VAR (nid, "q2", NF_FLOAT, 2,(/idim2,idim4/),nvarid)
@@ -543,4 +563,71 @@
         CALL abort
       ENDIF
+
+
+
+
+
+
+
+c cloud fraction (added by BC 2010)
+
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "cloudfrac", NF_DOUBLE, 1, idim2,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "cloudfrac", NF_FLOAT, 1, idim2,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 14,
+     .                        "Cloud fraction")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,cloudfrac)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,cloudfrac)
+#endif
+
+c total cloud fraction (added by BC 2010)
+
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid,"totcloudfrac", NF_DOUBLE, 1, idim2,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "totcloudfrac", NF_FLOAT, 1, idim2,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 14,
+     .                        "Total fraction")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,totcloudfrac)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,totcloudfrac)
+#endif
+
+c oceanic ice (added by BC 2010)
+
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "hice", NF_DOUBLE, 1, idim2,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "hice", NF_FLOAT, 1, idim2,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 21,
+     .                        "Height of oceanic ice")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,hice)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,hice)
+#endif
+
+
+
+
+
+
+
+
+
+
 
 c tracers
@@ -591,5 +678,7 @@
          if ((i_h2o_vap.ne.0).and.(i_h2o_ice.eq.0)) then
           ! then the index of (surface) ice is i_h2o_vap
-          i_h2o_ice=i_h2o_vap
+            print*,'water vapour but no water ice, WTF?'
+            call abort
+            i_h2o_ice=i_h2o_vap
          endif
         endif ! of if (.not.oldtracernames) 
@@ -601,18 +690,27 @@
            ELSE
              txt=tnom(iq)
-             ! Exception: there is no water vapour surface tracer
-             if (txt.eq."h2o_vap") then
-               write(*,*)"physdem1: skipping water vapour tracer"
-               if (i_h2o_ice.eq.i_h2o_vap) then
-               ! then there is no "water ice" tracer; but still
-               ! there is some water ice on the surface
-                 write(*,*)"          writting water ice instead"
-                 txt="h2o_ice"
-               else
-               ! there is a "water ice" tracer which has been / will be
-               ! delt with in due time
-                 cycle
-               endif ! of if (igcm_h2o_ice.eq.igcm_h2o_vap)
-             endif ! of if (txt.eq."h2o_vap")
+
+
+!     in new version, h2o_vap acts as liquid surface tracer
+!     so the section below is now redundant
+!     ------------------------------------------------------------------
+!             ! Exception: there is no water vapour surface tracer
+!             if (txt.eq."h2o_vap") then
+!               write(*,*)"physdem1: skipping water vapour tracer"
+!               if (i_h2o_ice.eq.i_h2o_vap) then
+!               ! then there is no "water ice" tracer; but still
+!               ! there is some water ice on the surface
+!                 write(*,*)"          writting water ice instead"
+!                 txt="h2o_ice"
+!               else
+!               ! there is a "water ice" tracer which has been / will be
+!               ! delt with in due time
+!                 cycle
+!               endif ! of if (igcm_h2o_ice.eq.igcm_h2o_vap)
+!             endif ! of if (txt.eq."h2o_vap")
+!     ------------------------------------------------------------------
+
+
+
            ENDIF ! of IF (oldtracernames)
 
